View Issue Details

IDProjectCategoryView StatusLast Update
0001886Common[All Projects] Generalpublic2016-12-30 22:44
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version3.3.0 
Summary0001886: Simplifier le bordel avant l'appel du handler
DescriptionIl se passe une quantité de trucs hallucinante avant que le handler de la requête ne soit vraiment appelé. Tout ces appels pré-handle sont autant de sources possibles de bogues, d'exceptions et d'erreurs pas catchées.

Il faudrait simplifier ce foutoir, quitte à avoir de plus grosses classes, plus lisibles (car tous les projets assemblent les classes atomiques de la même façon, donc cela ne sert à rien d'atomiser autant les choses).
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-12-04 00:52

administrator   ~0002764

Last edited: 2016-12-16 19:22

View 2 revisions

Prêt (mais j'ai taggué ça comme étant le 0001893 dans mes commits...)

Issue History

Date Modified Username Field Change
2016-11-13 11:19 Xenos New Issue
2016-11-13 11:19 Xenos Status New => Accepted
2016-12-03 10:21 Xenos Assigned To => Xenos
2016-12-03 10:21 Xenos Status Accepted => In progress
2016-12-04 00:52 Xenos Status In progress => Ready
2016-12-04 00:52 Xenos Resolution open => fixed
2016-12-04 00:52 Xenos Note Added: 0002764
2016-12-16 00:39 AutoUpdater Status Ready => Resolved
2016-12-16 00:39 AutoUpdater Fixed in Version => 3.2.5
2016-12-16 19:22 Xenos Note Edited: 0002764 View Revisions
2016-12-16 19:22 Xenos Status Resolved => Close
2016-12-30 22:43 AutoUpdater Status Close => Resolved
2016-12-30 22:43 AutoUpdater Fixed in Version 3.2.5 => 3.3.0
2016-12-30 22:44 Xenos Status Resolved => Close